Subject: Re: bug#58665: Indentation in lisp/emacs-lisp/syntax.el is wrong

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Sep 2023 13:39:19 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Sun, 3 Sep 2023 03:21:33 -0700
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> Jim Blandy <[email-masked]> writes:
> 
> > This code changes almost never. It's been like that since 2016. It
> > doesn't make sense to let it sit there with formatting that obscures
> > the structure of the code.
> >
> > On Thu, Oct 20, 2022 at 10:57 AM Eli Zaretskii <[email-masked]> wrote:
> >
> >  > From: Jim Blandy <[email-masked]>
> >  > Date: Thu, 20 Oct 2022 10:23:30 -0700
> >  >
> >  > 2022-10-20  Jim Blandy  <[email-masked]>
> >  >
> >  >         * lisp/emacs-lisp/syntax.el: Fix indentation in `syntax-ppss'.
> >
> >  Thanks, but we don't like pure-whitespace changes.  We fix these
> >  issues when we change code around the places with wrong indentation.
> 
> I agree that we should avoid making whitespace-only changes in general.
> Jim makes the point that readability counts.  He also points out that
> this code changes so infrequently that we do not need to be overly
> worried about any annoying merge conflicts.  I think these are valid
> points.
> 
> So on balance, I'd be willing to make an exception and take this patch.
> If Eli is still not convinced, I think it would be better to close this
> bug and move on.  I think we can all agree it's not worth spending
> energy discussing it further.

If you think this change could be useful, I won't object applying it.